Package org.spongepowered.asm.mixin.injection.modify

## Class InvalidImplicitDiscriminatorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.spongepowered.asm.mixin.throwables.MixinException
        - - org.spongepowered.asm.mixin.injection.modify.InvalidImplicitDiscriminatorException

All Implemented Interfaces:
  `java.io.Serializable`

    public class InvalidImplicitDiscriminatorException
    extends org.spongepowered.asm.mixin.throwables.MixinException

Thrown when an implicit discriminator (no args) fails to identify a unique candidate.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`InvalidImplicitDiscriminatorException​(java.lang.String message)`
`InvalidImplicitDiscriminatorException​(java.lang.String message, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class org.spongepowered.asm.mixin.throwables.MixinException

`getMessage, prepend`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidImplicitDiscriminatorException

    public InvalidImplicitDiscriminatorException​(java.lang.String message)

#### InvalidImplicitDiscriminatorException

    public InvalidImplicitDiscriminatorException​(java.lang.String message,
                                                 java.lang.Throwable cause)